import EditViewEngine from './edit-view-engine';

/**
 * 编辑视图引擎
 *
 * @export
 * @class EditViewEngine
 * @extends {ViewEngine}
 */
export default class MobWFEditViewEngine extends EditViewEngine {

    /**
     * 表单部件
     *
     * @protected
     * @type {*}
     * @memberof EditViewEngine
     */
    protected form: any;

    /**
     * 工具栏
     *
     * @protected
     * @type {*}
     * @memberof EditViewEngine
     */
    protected righttoolbar: any;

    /**
     * 快速工具栏
     *
     * @protected
     * @type {*}
     * @memberof EditViewEngine
     */
    protected quicktoolbar: any;

    /**
     * 父健为当前健
     *
     * @protected
     * @type {string}
     * @memberof EditViewEngine
     */
    protected p2k: string = '';

    /**
     * 初始化编辑视图引擎
     *
     * @param {*} [options={}]
     * @memberof EditViewEngine
     */
    public init(options: any = {}): void {
        super.init(options);
        this.righttoolbar = options.righttoolbar;
        this.quicktoolbar =options.quicktoolbar;
    }

}